;(function() {
    //含有需要适配的样式，抽出来
   
	
     var styleStr='.img{width:112px;height:90px;margin-top:159px;margin-bottom:40px}.tip{font-size:28px}.btn{width:220px;height:55px;margin-top:58px;padding-top:5px;font-size:30px}';
       adpAllStyle(styleStr);

    function adpAllStyle(styleStr) {
       var adpAry = [240,270,280, 320, 360,375,414, 480, 540, 576,600,640, 720,750, 768, 800, 1080, 1280,1152,1200,1242,1440,1536];  //需要适配的分辨率
        var newStyleStr = '';
        for (var i = 0; i < adpAry.length; i++) {
            getStyleStr(i);
        }

        var head = document.getElementsByTagName('head')[0];
        var tag = document.createElement("style");
        tag.appendChild(document.createTextNode(newStyleStr));
        head.appendChild(tag);  //样式生成

        function getStyleStr(i) {  //分辨率换算，并生成新的样式字符串
            var str = styleStr.replace(/-?\d+\.?\d*px/g, function(e) {
                var num = parseFloat(e);
                if (num === 1 || num === -1 || num === 0)
                    return num + 'px';
                var a = num * adpAry[i] /720;  //这里以720做标配
                if (a > 0 && a < 1) {
                    a = 1;
                } else if (a > -1 && a < 0) {
                    a = -1;
                }
                return a + "px";
            });
            newStyleStr += '@media(min-width:' + (adpAry[i] - 1) + 'px){' + str + '}';  //响应式适配
        }
    }
})();